{{- if .Values.rbac.create }}
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ .Release.Name }}-core-role
  namespace: {{ .Release.Namespace }}
  labels: {{- include "common.labels.labels" . | nindent 4 }}
  {{- if .Values.commonLabels }}
  {{- include "common.templates.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
  {{- end }}
rules:
  - apiGroups:
      - ai.h2o.featurestore.operator
    resources:
      - sparkapplications
      - sparkapplications/status
    verbs:
      - create
      - list
      - get
      - update
      - patch
      - delete
  - apiGroups:
      - ""
    resources:
      - configmaps
      - secrets
    verbs:
      - create
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: {{ .Release.Name }}-core-create-spark-job
  namespace: {{ .Release.Namespace }}
  labels: {{- include "common.labels.labels" . | nindent 4 }}
  {{- if .Values.commonLabels }}
  {{- include "common.templates.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
  {{- end }}
subjects:
  - kind: ServiceAccount
    name: {{ .Release.Name }}-core
    namespace: {{ .Release.Namespace }}
roleRef:
  kind: Role
  name: {{ .Release.Name }}-core-role
  apiGroup: rbac.authorization.k8s.io
{{- end }}
